﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Me.BindGrid()
        End If
    End Sub

    Private Sub BindGrid()
        Dim conn As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(conn)
            Using cmd As SqlCommand = New SqlCommand("SELECT Name, Country FROM Customers", con)
                Using sda As SqlDataAdapter = New SqlDataAdapter(cmd)
                    Using dt As DataTable = New DataTable()
                        sda.Fill(dt)
                        gvCustomers.DataSource = dt
                        gvCustomers.DataBind()
                    End Using
                End Using
            End Using
        End Using
    End Sub

    Protected Sub Insert(ByVal sender As Object, ByVal e As EventArgs)
        Dim recordsInserted As Integer = 0

        Dim sql As String = "IF NOT EXISTS(SELECT CustomerId FROM Customers WHERE Name = @Name and Country = @Country) "
        sql += "BEGIN "
        sql += "INSERT INTO Customers (Name, Country) VALUES(@Name, @Country) "
        sql += "END"

        Dim conString As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(conString)
            Using cmd As SqlCommand = New SqlCommand(sql)
                cmd.Connection = con
                cmd.Parameters.AddWithValue("@Name", txtName.Text)
                cmd.Parameters.AddWithValue("@Country", txtCountry.Text)
                con.Open()
                recordsInserted = cmd.ExecuteNonQuery()
                con.Close()
            End Using
        End Using

        Me.BindGrid()

        If recordsInserted = -1 Then
            ClientScript.RegisterStartupScript(Me.GetType(), "alert", "alert('Duplicate record. Please insert Unique data.');", True)
        End If
    End Sub
End Class
